Show / Hide Table of Contents

# Class SqlParserWrapper

A wrapper class around SQL parser methods to make the operations testable

##### Inheritance

System.Object
SqlParserWrapper

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.LanguageServices.Completion

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class SqlParserWrapper : ISqlParserWrapper

### Methods

| Improve this Doc View Source

#### FindCompletions(ParseResult, Int32, Int32, IMetadataDisplayInfoProvider)

Creates completion list given SQL script info

##### Declaration

    public IEnumerable<Declaration> FindCompletions(ParseResult parseResult, int line, int col, IMetadataDisplayInfoProvider displayInfoProvider)

##### Parameters

Type | Name | Description
--- | --- | ---
Microsoft.SqlServer.Management.SqlParser.Parser.ParseResult | parseResult |
System.Int32 | line |
System.Int32 | col |
Microsoft.SqlServer.Management.SqlParser.MetadataProvider.IMetadataDisplayInfoProvider | displayInfoProvider |

##### Returns

Type | Description
--- | ---
System.Collections.Generic.IEnumerable<Microsoft.SqlServer.Management.SqlParser.Intellisense.Declaration> |

##### Implements

ISqlParserWrapper.FindCompletions(ParseResult, Int32, Int32, IMetadataDisplayInfoProvider)